--- a/hgext/hbisect.py Tue Aug 14 18:25:27 2007 +0200
+++ b/hgext/hbisect.py Tue Aug 14 19:06:10 2007 +0200
@@ -81,7 +81,7 @@
# Not sure about this
#self.ui.write("Going back to tip\n")
#self.repo.update(self.repo.changelog.tip())
- return 1
+ return 0
def num_ancestors(self, head=None, stop=None):
"""
--- a/tests/hghave Tue Aug 14 18:25:27 2007 +0200
+++ b/tests/hghave Tue Aug 14 19:06:10 2007 +0200
@@ -35,6 +35,13 @@
except:
return False
+def has_hotshot():
+ try:
+ import hotshot
+ return True
+ except ImportError:
+ return False
+
def has_lsprof():
try:
import _lsprof
@@ -46,6 +53,7 @@
"eol-in-paths": (has_eol_in_paths, "end-of-lines in paths"),
"execbit": (has_executablebit, "executable bit"),
"fifo": (has_fifo, "named pipes"),
+ "hotshot": (has_hotshot, "python hotshot module"),
"lsprof": (has_lsprof, "python lsprof module"),
"symlink": (has_symlink, "symbolic links"),
}
--- a/tests/test-profile Tue Aug 14 18:25:27 2007 +0200
+++ b/tests/test-profile Tue Aug 14 19:06:10 2007 +0200
@@ -1,12 +1,15 @@
#!/bin/sh
echo % test --time
-hg --time help 2>&1 | grep -q Time || echo --time failed
+hg --time help -q help 2>&1 | grep Time > /dev/null || echo --time failed
echo % test --profile
-hg --profile help 2>&1 | grep -q ncalls || echo --profile failed
+if "$TESTDIR/hghave" -q hotshot; then
+ # hotshot might be missing for licensing issues
+ hg --profile help -q help 2>&1 | grep ncalls > /dev/null || echo --profile failed
+fi
echo % test --lsprof
if "$TESTDIR/hghave" -q lsprof; then
- hg --lsprof help 2>&1 | grep -q CallCount || echo --lsprof failed
-fi
\ No newline at end of file
+ hg --lsprof help -q help 2>&1 | grep CallCount > /dev/null || echo --lsprof failed
+fi